# Generated by Django 4.1.4 on 2022-12-12 13:35

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('id_usuario', models.CharField(default=uuid.uuid4, editable=False, max_length=100, primary_key=True, serialize=False)),
                ('nome', models.CharField(max_length=100, verbose_name='Nome')),
                ('sobrenome', models.CharField(max_length=100, verbose_name='Sobrenome')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email')),
                ('hashed_password', models.CharField(editable=False, max_length=300, unique=True)),
                ('acess_token', models.CharField(editable=False, max_length=300, null=True, unique=True)),
                ('refresh_token', models.CharField(editable=False, max_length=300, null=True, unique=True)),
                ('cep', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='address.endereco', verbose_name='CEP')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
